import { WebGLRenderer, WebGLRenderTarget, Scene, OrthographicCamera, ShaderMaterial, PerspectiveCamera, IUniform } from 'three';
export declare class EDLPostProcessMaterial extends ShaderMaterial {
    uniforms: {
        [uniform: string]: IUniform;
    };
    constructor(width: number, height: number, near: number, far: number);
    setSize(width: number, height: number): void;
    setInputTextures(rt: WebGLRenderTarget): void;
}
export declare class EDLPass {
    private renderer;
    private camera;
    private rt;
    private quadScene;
    private quadCamera;
    private material;
    constructor(renderer: WebGLRenderer, camera: PerspectiveCamera | OrthographicCamera, width: number, height: number);
    setSize(width: number, height: number): void;
    render(scene: Scene): void;
    dispose(): void;
    setEDLStrength(value: number): void;
    setEDLRadius(value: number): void;
    setEDLEdgeColor(color: string): void;
    setShowEdgesOnly(value: boolean): void;
}
